package ink.wgink.service.user.pojo.pos;

import io.swagger.annotations.ApiModel;

import java.io.Serializable;

/**
 * When you feel like quitting. Think about why you started
 * 当你想要放弃的时候，想想当初你为何开始
 *
 * @ClassName: UserPO
 * @Description: 用户
 * @Author: wanggeng
 * @Date: 2021/1/27 10:15 上午
 * @Version: 1.0
 */
@ApiModel
public class UserPO implements Serializable {

    private static final long serialVersionUID = -9198716902763162718L;
    private String userId;
    private String userUsername;
    private String userPassword;
    private String userName;
    private String userPhone;
    private String userEmail;
    private String userUKey;
    private Integer userType;
    private Integer userState;
    private String userExpiredDate;
    private String userAvatar;
    private String lastLoginAddress;
    private String lastLoginTime;
    private String userLongitude;
    private String userLatitude;
    private Integer loginType;
    private String gmtPasswordModified;
    private String gmtCreate;

    public String getUserId() {
        return userId == null ? "" : userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserUsername() {
        return userUsername == null ? "" : userUsername;
    }

    public void setUserUsername(String userUsername) {
        this.userUsername = userUsername;
    }

    public String getUserPassword() {
        return userPassword == null ? "" : userPassword;
    }

    public void setUserPassword(String userPassword) {
        this.userPassword = userPassword;
    }

    public String getUserName() {
        return userName == null ? "" : userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserPhone() {
        return userPhone == null ? "" : userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserEmail() {
        return userEmail == null ? "" : userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUserUKey() {
        return userUKey == null ? "" : userUKey;
    }

    public void setUserUKey(String userUKey) {
        this.userUKey = userUKey;
    }

    public Integer getUserType() {
        return userType == null ? 0 : userType;
    }

    public void setUserType(Integer userType) {
        this.userType = userType;
    }

    public Integer getUserState() {
        return userState == null ? 0 : userState;
    }

    public void setUserState(Integer userState) {
        this.userState = userState;
    }

    public String getUserExpiredDate() {
        return userExpiredDate == null ? "" : userExpiredDate;
    }

    public void setUserExpiredDate(String userExpiredDate) {
        this.userExpiredDate = userExpiredDate;
    }

    public String getUserAvatar() {
        return userAvatar == null ? "" : userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getLastLoginAddress() {
        return lastLoginAddress == null ? "" : lastLoginAddress;
    }

    public void setLastLoginAddress(String lastLoginAddress) {
        this.lastLoginAddress = lastLoginAddress;
    }

    public String getLastLoginTime() {
        return lastLoginTime == null ? "" : lastLoginTime;
    }

    public void setLastLoginTime(String lastLoginTime) {
        this.lastLoginTime = lastLoginTime;
    }

    public String getUserLongitude() {
        return userLongitude == null ? "" : userLongitude;
    }

    public void setUserLongitude(String userLongitude) {
        this.userLongitude = userLongitude;
    }

    public String getUserLatitude() {
        return userLatitude == null ? "" : userLatitude;
    }

    public void setUserLatitude(String userLatitude) {
        this.userLatitude = userLatitude;
    }

    public Integer getLoginType() {
        return loginType == null ? 0 : loginType;
    }

    public void setLoginType(Integer loginType) {
        this.loginType = loginType;
    }

    public String getGmtPasswordModified() {
        return gmtPasswordModified == null ? "" : gmtPasswordModified;
    }

    public void setGmtPasswordModified(String gmtPasswordModified) {
        this.gmtPasswordModified = gmtPasswordModified;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"userId\":\"")
                .append(userId).append('\"');
        sb.append(",\"userUsername\":\"")
                .append(userUsername).append('\"');
        sb.append(",\"userPassword\":\"")
                .append(userPassword).append('\"');
        sb.append(",\"userName\":\"")
                .append(userName).append('\"');
        sb.append(",\"userPhone\":\"")
                .append(userPhone).append('\"');
        sb.append(",\"userEmail\":\"")
                .append(userEmail).append('\"');
        sb.append(",\"userUKey\":\"")
                .append(userUKey).append('\"');
        sb.append(",\"userType\":")
                .append(userType);
        sb.append(",\"userState\":")
                .append(userState);
        sb.append(",\"userExpiredDate\":\"")
                .append(userExpiredDate).append('\"');
        sb.append(",\"userAvatar\":\"")
                .append(userAvatar).append('\"');
        sb.append(",\"lastLoginAddress\":\"")
                .append(lastLoginAddress).append('\"');
        sb.append(",\"lastLoginTime\":\"")
                .append(lastLoginTime).append('\"');
        sb.append(",\"userLongitude\":\"")
                .append(userLongitude).append('\"');
        sb.append(",\"userLatitude\":\"")
                .append(userLatitude).append('\"');
        sb.append(",\"loginType\":")
                .append(loginType);
        sb.append(",\"gmtPasswordModified\":\"")
                .append(gmtPasswordModified).append('\"');
        sb.append(",\"gmtCreate\":\"")
                .append(gmtCreate).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
